﻿CREATE TABLE [dbo].[CompanyCashFlowStatement] (
    [Id]                                                                                    UNIQUEIDENTIFIER NOT NULL,
    [CompanyId]                                                                             UNIQUEIDENTIFIER NOT NULL,
    [CurrencyId]                                                                            UNIQUEIDENTIFIER NOT NULL,
    [ValueConversionId]                                                                     UNIQUEIDENTIFIER NOT NULL,
    [CompanyName]                                                                           NVARCHAR (256)   NOT NULL,
    [Currency]                                                                              NVARCHAR (256)   NULL,
    [Units]                                                                                 NVARCHAR (256)   NULL,
    [Year]                                                                                  INT              NOT NULL,
    [OperatingActivities_]                                                                  NVARCHAR (255)   NULL,
    [AdjustmentsToOperatingActivities_]                                                     NVARCHAR (255)   NULL,
    [DepreciationAndAmortization]                                                           NVARCHAR (255)   NULL,
    [Impairments]                                                                           NVARCHAR (255)   NULL,
    [LossOnSaleOfAssets]                                                                    NVARCHAR (255)   NULL,
    [OtherLossesOrGains]                                                                    NVARCHAR (255)   NULL,
    [DeferredTaxes]                                                                         NVARCHAR (255)   NULL,
    [ShareBasedCompensationExpense]                                                         NVARCHAR (255)   NULL,
    [BenefitPlanContributions]                                                              NVARCHAR (255)   NULL,
    [OtherAdjustmentsNet]                                                                   NVARCHAR (255)   NULL,
    [OtherChangesInAssetsAndLiabilitiesNetOfAcquisitionsAndDistitures_]                     NVARCHAR (255)   NULL,
    [AccountsReceivable]                                                                    NVARCHAR (255)   NULL,
    [OtherAssets]                                                                           NVARCHAR (255)   NULL,
    [AccountsPayable]                                                                       NVARCHAR (255)   NULL,
    [OtherLiabilities]                                                                      NVARCHAR (255)   NULL,
    [OtherTaxAccountsNet]                                                                   NVARCHAR (255)   NULL,
    [NetCashProvidedByOrUsedInOperatingActivities]                                          NVARCHAR (255)   NULL,
    [InvestingActivities_]                                                                  NVARCHAR (255)   NULL,
    [PurchasesOfPropertyPlantAndEquipment]                                                  NVARCHAR (255)   NULL,
    [PurchasesOfShortTermInvestments]                                                       NVARCHAR (255)   NULL,
    [SaleOfShortTermInvestments]                                                            NVARCHAR (255)   NULL,
    [RedemptionsOfShortTermInvestments]                                                     NVARCHAR (255)   NULL,
    [PurchasesOfLongTermInvestments]                                                        NVARCHAR (255)   NULL,
    [SaleOfLongTermInvestments]                                                             NVARCHAR (255)   NULL,
    [BusinessAcquisitions]                                                                  NVARCHAR (255)   NULL,
    [AcquisitionsOfIntangibleAssets]                                                        NVARCHAR (255)   NULL,
    [OtherInvestingActivitiesNet]                                                           NVARCHAR (255)   NULL,
    [NetCashProvidedByOrUsedInInvestingActivities]                                          NVARCHAR (255)   NULL,
    [FinancingActivities_]                                                                  NVARCHAR (255)   NULL,
    [ProceedsFromShortTermDebt]                                                             NVARCHAR (255)   NULL,
    [PrincipalPaymentsOnShortTermDebt]                                                      NVARCHAR (255)   NULL,
    [NetPaymentsonOrProceedsFromShortTermBorrowingsWithOrigilMaturitiesOfThreeMonthsOrLess] NVARCHAR (255)   NULL,
    [IssuanceOfLongTermDebt]                                                                NVARCHAR (255)   NULL,
    [PrincipalPaymentsOnLongTermDebt]                                                       NVARCHAR (255)   NULL,
    [PurchasesOfCommonStock]                                                                NVARCHAR (255)   NULL,
    [CommonStockRepurchased]                                                                NVARCHAR (255)   NULL,
    [CashDividendsPaid]                                                                     NVARCHAR (255)   NULL,
    [ProceedsFromExerciseOfStockOptions]                                                    NVARCHAR (255)   NULL,
    [OtherFinancingActivitiesNet]                                                           NVARCHAR (255)   NULL,
    [CapitalExpenditure]                                                                    NVARCHAR (255)   NULL,
    [NetCashProvidedByOrUsedInFinancingActivities]                                          NVARCHAR (255)   NULL,
    [ForeignExchangeImpact]                                                                 NVARCHAR (255)   NULL,
    [DecreaseInCashAndCashEquivalents]                                                      NVARCHAR (255)   NULL,
    [OpeningBalanceOfCashAndCashEquivalents]                                                NVARCHAR (255)   NULL,
    [ClosingBalanceOfCashAndCashEquivalents]                                                NVARCHAR (255)   NULL,
    [CashPaidReceivedDuringThePeriodFor_]                                                   NVARCHAR (255)   NULL,
    [IncomeTaxes]                                                                           NVARCHAR (255)   NULL,
    [InterestRateHedges]                                                                    NVARCHAR (255)   NULL,
    [CreatedOn]                                                                             DATETIME2 (7)    NULL,
    [UserCreatedById]                                                                       UNIQUEIDENTIFIER NULL,
    [ModifiedOn]                                                                            DATETIME2 (7)    NULL,
    [UserModifiedById]                                                                      UNIQUEIDENTIFIER NULL,
    [IsDeleted]                                                                             BIT              NOT NULL,
    [DeletedOn]                                                                             DATETIME2 (7)    NULL,
    [UserDeletedById]                                                                       UNIQUEIDENTIFIER NULL
);



